﻿using Plane.Copters;

namespace Plane.Messaging
{
    /// <summary>
    /// 通过注册 <see cref="CopterPropertyChangedMessage"/> 来监视未关联到特定 Message 的属性。
    /// </summary>
    public class CopterPropertyChangedMessage : CopterMessageBase
    {
        public CopterPropertyChangedMessage(ICopter copter, string propertyName) : base(copter)
        {
            PropertyName = propertyName;
        }

        public string PropertyName { get; }
    }
}
